To define

Supported Formats

json

GET /api/Orders
Orders

Supported Formats

json

Errors

Code Description
401 Unauthorized
500 Server crashed for some <%= reason %>

Examples

GET /Orders?access_token=Pn4p4dV8wKy5p8awLR9CYQRWdsgNYLRxRef5DdYEDt1smi6jkMbfu2Zmp9q3Svkh
200
[
  {
    "resourceType": "Order",
    "code": "24357-6",
    "effectiveDateTime": "20150622",
    "basedOn": "Urinalysis macro (dipstick) panel - Urine",
    "conclusionCode": "LOINC"
  }
]
GET /Orders?access_token=Pn4p4dV8wKy5p8awLR9CYQRWdsgNYLRxRef5DdYEDt1smi6jkMbfu2Zmp9q3Svkh
403

Params

Param name Description
access_token
optional

CarePaths User OAuth Token

Validations:

  • Must be String.

start_date
optional

Start date for dataset; Format YYYY-MM-DD

Validations:

  • Must be Date.

end_date
optional

End date for dataset; Format YYYY-MM-DD

Validations:

  • Must be Date.

Returns

Code: 200

Description:

List of resources

Param name Description
resource_type
required

Order

Validations:

  • Must be String.

code
required

Validations:

  • Must be String.

effective_date_time
required

Validations:

  • Must be String.

based_on
required

Validations:

  • Must be String.

result
required

Validations:

  • Must be Hash.

conclusion_code
required

Validations:

  • Must be String.